Subject: Re: [Last-Call] Iotdir last call review of draft-ietf-lpwan-coap-static-context-hc-11

From: Ana Minaburo <[email-masked]>
Date: Tue, 10 Dec 2019 16:27:38 +0100

Dear Stephen,

Thank you for your comments,

Reviewer: Stephen Farrell
> Review result: Almost Ready
>
> Hiya,
>
> I noted only one issue that might need fixing:
>
> - If two entities are using this scheme and have an agreed set of
>   rules, don't you need to say that packets that don't match any
>   rule(s) should be sent unmodified?
>

Ana: Yes, according to SCHC-draft-24 section 6 If no Rule was found the
packet must be sent uncompressed. We have added:

In Section 3.

* If no valid Rule was found, then the packet MUST be sent uncompressed
  using the RuleID dedicated to this purpose and the Compression Residue
  is the complete header of the packet. See section 6 of
{{I-D.ietf-lpwan-ipv6-static-context-hc}}.

> I also noticed a couple of nits:
>
> - Intro: "There is no risk to lock a device in a particular version
>   of CoAP." I'm not fully sure what that's trying to say but a) "no
>   risk" is a major claim that's not justified:-) and b) SCHC (by
>   design) does inherently risk being less effective if protocols or
>   patterns of protocol usage change.  I'd say just delete the
>   sentence.
>

Ana: Yes, there is no risk, the sentence has been deleted

>
> - section 2: "SCHC C/D" is used without being defined.
>

Ana: Done

>
> - 7.2: Typo: "The Inner Plaintext contains sensible information
>   which is not necessary for proxy operation." s/sensible/sensitive/
>   I guess.
>
Ana: Done

You will find the modifications next:
A new version of I-D, draft-ietf-lpwan-coap-static-context-hc-12.txt
has been successfully submitted by Ana Minaburo and posted to the
IETF repository.

Name:           draft-ietf-lpwan-coap-static-context-hc
Revision:       12
Title:          LPWAN Static Context Header Compression (SCHC) for CoAP
Document date:  2019-12-10
Group:          lpwan
Pages:          28
URL:
https://www.ietf.org/internet-drafts/draft-ietf-lpwan-coap-static-context-hc-12.txt
Status:
https://datatracker.ietf.org/doc/draft-ietf-lpwan-coap-static-context-hc/
Htmlized:
https://tools.ietf.org/html/draft-ietf-lpwan-coap-static-context-hc-12
Htmlized:
https://datatracker.ietf.org/doc/html/draft-ietf-lpwan-coap-static-context-hc
Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lpwan-coap-static-context-hc-12

Thanks
Ana